<?php

namespace Teknisa\MAN\Services;

use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;
use \Setforms2\Shared\ORM\DateTime;

class BloquearCartaoService {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function bloqlibcartao($params){
	    return $this->entityManager->getConnection()->executeQuery(self::UPDATE_CARTOES,$params);
	}
	
	public function bloqlibIntervalo($params){
	    return $this->entityManager->getConnection()->executeQuery(self::UPDATE_INTERVALO,$params);
	}
	
	public function countIntervalo($params){
	    return $this->entityManager->getConnection()->fetchAll(self::numRowsIntervalo, $params);
	}
	
    public function addParams($conditions,$param){
        
        if(!array_key_exists($param, $conditions)) {
            $conditions[$param] = '';
            $conditions['T'.$param] = 'T';
        }else{
            $conditions[$param] = $conditions[$param];
            $conditions['T'.$param] = '';
        }
        return $conditions;
    }

    const UPDATE_CARTOES = "UPDATE CONSUMIDOR
                            SET IDSITCONSUMI = :IDSITCONSUMI,
                                DTBLOQUEIO   = :DTBLOQUEIO
                            WHERE CDIDCONSUMID = :CDIDCONSUMID
                              AND CDCLIENTE = :CDCLIENTE
                              AND NRORG = :NRORG
                              AND CDCONSUMIDOR = :CDCONSUMIDOR";
                            
    const UPDATE_INTERVALO = "  UPDATE CONSUMIDOR
                                SET IDSITCONSUMI = :IDSITCONSUMI,
                                DTBLOQUEIO = :DTBLOQUEIO
                                WHERE CDCONSUMIDOR
                                IN (SELECT CDCONSUMIDOR FROM CONSUMIDOR
                                WHERE CDIDCONSUMID BETWEEN :CDIDCONSUMID AND :CDIDCONSUMIDFIM
                                AND NRORG = :NRORG)
                                AND CDCLIENTE
                                IN(SELECT CDCLIENTE FROM CONSUMIDOR
                                WHERE CDIDCONSUMID BETWEEN :CDIDCONSUMID AND :CDIDCONSUMIDFIM
                                AND NRORG = :NRORG)
                                AND NRORG = :NRORG";
                                
    const numRowsIntervalo = "  SELECT CDCLIENTE FROM CONSUMIDOR
                                WHERE CDIDCONSUMID BETWEEN :CDIDCONSUMID AND :CDIDCONSUMIDFIM
                                AND NRORG = :NRORG";
}