<?php

namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Teknisa\MAN\Utilities;

class LojaParametrizacaoLimiteOcorrencia {

    protected $conn;
    
	public function __construct(Connection $conn) {
        $this->conn = $conn;
    }
    
    public function saveLimite($data) {
        
        if($data[0]['__is_new']){
            
            $params = array(
             	":CDFILIAL"     => $data[0]['CDFILIAL'],
             	":CDLOJA"       => $data[0]['CDLOJA'],
              	":NRORG"        => $data[0]['NRORG'],
              	":NRMINOCORR"   => $data[0]['NRMINOCORR'],
              	":NRMAXOCORR"   => $data[0]['NRMAXOCORR'],
              	":CDGRPOCOR"    => $data[0]['CDGRPOCOR']
     		);
     		
            $this->conn->executeQuery(self::INSERT_LOJAGRUPOOCORR, $params);
        }else{
            
            $params = array(
             	":CDFILIAL"     => $data[0]['CDFILIAL'],
             	":CDLOJA"       => $data[0]['CDLOJA'],
              	":NRORG"        => $data[0]['NRORG'],
              	":NRMINOCORR"   => $data[0]['NRMINOCORR'],
              	":NRMAXOCORR"   => $data[0]['NRMAXOCORR'],
              	":CDGRPOCOR"    => $data[0]['CDGRPOCOR']
     		);
     		
            $this->conn->executeQuery(self::UPDATE_LOJAGRUPOOCORR, $params);
        }
                       
    }
    
    const UPDATE_LOJAGRUPOOCORR = "
    UPDATE LOJAGRUPOOCORR 
        SET
           NRMINOCORR = :NRMINOCORR,
           NRMAXOCORR = :NRMAXOCORR
        WHERE
            (NRORG = :NRORG) 
            AND 
            (CDLOJA = :CDLOJA) 
            AND 
            (CDFILIAL = :CDFILIAL)
            AND
            (CDGRPOCOR = :CDGRPOCOR)
    ";
    
    const INSERT_LOJAGRUPOOCORR = "
    INSERT INTO LOJAGRUPOOCORR
        (CDFILIAL, CDLOJA, CDGRPOCOR, NRMINOCORR, NRMAXOCORR, NRORG) 
    VALUES   
        (:CDFILIAL, :CDLOJA, :CDGRPOCOR, :NRMINOCORR, :NRMAXOCORR, :NRORG)";
}